type User {
  id: ID! @id
  username: String! @unique
  email: String! @unique
  password: String!
  createdAt: DateTime! @createdAt
  products: [Product]
  comments: [Comment]
  role: Int! @default(value: 0)
}

type Product {
  id: ID! @id
  name: String!
  description: String
  createdAt: DateTime! @createdAt
  user: User!
  price: Float!
  initialBet: InitialBet @relation(link: INLINE)
}

type Comment {
  id: ID!@id
  content: String!
  user: User!
  product: Product!
  createdAt: DateTime! @createdAt
}

type InitialBet {
  id: ID! @id
  creator: User!
  product: Product!
  updatedAt: DateTime! @updatedAt
  createdAt: DateTime! @createdAt
  currentBet: Float! @default(value: 1)
  endBetTime: DateTime!
  bets: [Bet!]
}

type Bet {
  id: ID! @id
  initialBet: InitialBet!
  better: User!
  createdAt: DateTime! @createdAt
  bet: Float!
}